# eric5.Plugins.VcsPlugins.vcsMercurial.HgBranchInputDialog

Module implementing a dialog to enter the data for a branch operation.

### Global Attributes

None

### Classes

HgBranchInputDialog | Class implementing a dialog to enter the data for a branch operation.

### Functions

None

## HgBranchInputDialog

Class implementing a dialog to enter the data for a branch operation.

### Derived from

QDialog, Ui_HgBranchInputDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgBranchInputDialog | Constructor
getData | Public method to get the data.
on_branchComboBox_editTextChanged | Private slot handling a change of the branch name.

### Static Methods

None

#### HgBranchInputDialog (Constructor)

HgBranchInputDialog(branches, parent=None)

Constructor

branches
  branch names to populate the branch list with (list of string)
parent
  reference to the parent widget (QWidget)

#### HgBranchInputDialog.getData

getData()

Public method to get the data.

Returns:
  tuple of branch name (string) and a flag indicating to commit the branch (boolean)

#### HgBranchInputDialog.on_branchComboBox_editTextChanged

on_branchComboBox_editTextChanged(txt)

Private slot handling a change of the branch name.

txt
  contents of the branch combo box (string)

Up